<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE faces-config PUBLIC "-//Sun Microsystems, Inc.//DTD JavaServer Faces Config 1.1//EN"
                              "http://java.sun.com/dtd/web-facesconfig_1_1.dtd">
<faces-config>
 <navigation-rule>
  <from-view-id>/pages/main.jsp</from-view-id>
  <navigation-case>
   <from-outcome>TestDiv</from-outcome>
   <to-view-id>/pages/Div/Div.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>Spinner</from-outcome>
   <to-view-id>/InputNumberSpinner/InputNumberSpinner.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>Panel</from-outcome>
   <to-view-id>/Panel/Panel.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>Separ</from-outcome>
   <to-view-id>/Separator/Separator.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>Spacer</from-outcome>
   <to-view-id>/Spacer/Spacer.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>sTP</from-outcome>
   <to-view-id>/SimpleTogglePanel/SimpleTogglePanel.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>TabPanel</from-outcome>
   <to-view-id>/TabPanel/TabPanel.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>Suggest</from-outcome>
   <to-view-id>/SuggestionBox/SuggestionBox.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>Paint</from-outcome>
   <to-view-id>/Paint2D/Paint2D.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>Tree</from-outcome>
   <to-view-id>/Tree/Tree.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>Slide</from-outcome>
   <to-view-id>/InputNumberSlider/InputNumberSlider.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>PanelBar</from-outcome>
   <to-view-id>/PanelBar/PanelBar.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>TogglePanel</from-outcome>
   <to-view-id>/TogglePanel/TogglePanel.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>Gmap</from-outcome>
   <to-view-id>/Gmap/Gmap.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>ToolBar</from-outcome>
   <to-view-id>/ToolBar/ToolBar.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>dnd</from-outcome>
   <to-view-id>/DragAndDrop/DragAndDrop.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>DS</from-outcome>
   <to-view-id>/DataScroller/DataScroller.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>DDMenu</from-outcome>
   <to-view-id>/DropDownMenu/DropDownMenu.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>DFS</from-outcome>
   <to-view-id>/DataFilterSlider/DataFilterSlider.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>PanelMenu</from-outcome>
   <to-view-id>/PanelMenu/PanelMenu.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>ModalPanel</from-outcome>
   <to-view-id>/ModalPanel/ModalPanel.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>Tooltip</from-outcome>
   <to-view-id>/Tooltip/Tooltip.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>Calendar</from-outcome>
   <to-view-id>/Calendar/Calendar.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>Message</from-outcome>
   <to-view-id>/Message/Message.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>VirtualEarth</from-outcome>
   <to-view-id>/VirtualEarth/VirtualEarth.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>Effect</from-outcome>
   <to-view-id>/Effect/Effect.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>Insert</from-outcome>
   <to-view-id>/Insert/Insert.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>SDT</from-outcome>
   <to-view-id>/ScrollableDataTable/ScrollableDataTable.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>RichFaces</from-outcome>
   <to-view-id>/pages/Rich/Rich.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>Map</from-outcome>
   <to-view-id>/pages/Select/Map.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>CustomizePage</from-outcome>
   <to-view-id>/CustomizePage/CustomizePage.jsp</to-view-id>
  </navigation-case>
  <navigation-case>
   <from-outcome>jQuery</from-outcome>
   <to-view-id>/jQuery/jQuery.jsp</to-view-id>
  </navigation-case>
 </navigation-rule>
 <navigation-rule>
  <from-view-id>*</from-view-id>
  <navigation-case>
   <from-outcome>main</from-outcome>
   <to-view-id>/pages/main.jsp</to-view-id>
  </navigation-case>
 </navigation-rule>
 <application>
  <locale-config>
   <default-locale>en</default-locale>
  </locale-config>
 </application>
  <lifecycle>
  <phase-listener id="phaseTracker">util.phaseTracker.PhaseTracker</phase-listener>
 </lifecycle>
</faces-config>
